# POST /minimax/v1/video_generation

**Method**: `POST`
**Endpoint**: `/minimax/v1/video_generation`

<https://platform.minimaxi.com/document/video_api_intro?key=68abdfdaaf3fef26183d6501>

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

## Request Parameters

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
model
string
Required
prompt
string
Required
duration
integer
Optional
resolution
string
Optional
Example
{
"model"
:
"string"
,
"prompt"
:
"string"
,
"duration"
:
0
,
"resolution"
:
"string"
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/minimax/v1/video_generation' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "string",
    "prompt": "string",
    "duration": 0,
    "resolution": "string"
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
id
string
Required
```

#### Example

```json
{
    "task_id": "106916112212032",
    "base_resp": {
        "status_code": 0,
        "status_msg": "success"
    }
}
```
